<div class="container" style="max-width: 400px; margin: auto">

  <form autocomplete="off" #f="ngForm">
    <div class="ui-g ui-fluid">

      <div class="ui-g-12">
        <h1>Login</h1>
      </div>

      <div class="ui-g-12">
        <input pInputText type="email" name="usuario" placeholder="E-mail"
          ngModel required #usuario>
      </div>

      <div class="ui-g-12">
        <input pInputText type="password" name="senha" placeholder="Senha"
          ngModel required #senha>
      </div>

      <div class="ui-g-12">
        <button pButton type="submit" label="Login" [disabled]="!f.valid"
          (click)="login(usuario.value, senha.value)"></button>
      </div>

    </div>
  </form>

</div>